summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.gitignore1
-rw-r--r--configure.ac2
-rw-r--r--test/runtests.sh4
3 files changed, 7 insertions, 0 deletions
diff --git a/.gitignore b/.gitignore
index 4662f3f1..8cfd4956 100644
--- a/.gitignore
+++ b/.gitignore
@@ -15,3 +15,4 @@
/compile
/test-driver
/build
+/m4
diff --git a/configure.ac b/configure.ac
index 10bea563..35265d97 100644
--- a/configure.ac
+++ b/configure.ac
@@ -7,6 +7,8 @@ PUBDATE="Oct 2014"
AM_INIT_AUTOMAKE([foreign])
+AC_CONFIG_MACRO_DIR([m4])
+
AC_SUBST(PUBDATE)
AC_CONFIG_HEADER([src/config.h src/defs.h])
diff --git a/test/runtests.sh b/test/runtests.sh
index 32c532ba..70ef9665 100644
--- a/test/runtests.sh
+++ b/test/runtests.sh
@@ -49,6 +49,10 @@ function sig_exit()
exit 1;
}
+trap sig_exit SIGINT
+trap sig_exit SIGQUIT
+trap sig_exit SIGTERM
+
# Parse args.
while getopts vdm opt; do
case $opt in